# Uses of Enum Class
org.apache.solr.common.params.ConfigSetParams.ConfigSetAction

Packages that use ConfigSetParams.ConfigSetAction
Package
Description
org.apache.solr.client.solrj.request
Convenience classes for dealing with various types of Solr requests.
org.apache.solr.common.params
Parameter constants and enumerations.

## Uses of ConfigSetParams.ConfigSetAction in org.apache.solr.client.solrj.request

Fields in org.apache.solr.client.solrj.request declared as ConfigSetParams.ConfigSetAction
Modifier and Type
Field
Description
`protected ConfigSetParams.ConfigSetAction`
ConfigSetAdminRequest.`action`
Methods in org.apache.solr.client.solrj.request with parameters of type ConfigSetParams.ConfigSetAction
Modifier and Type
Method
Description
`protected ConfigSetAdminRequest<Q,R>`
ConfigSetAdminRequest.`setAction(ConfigSetParams.ConfigSetAction action)`

## Uses of ConfigSetParams.ConfigSetAction in org.apache.solr.common.params

Methods in org.apache.solr.common.params that return ConfigSetParams.ConfigSetAction
Modifier and Type
Method
Description
`static ConfigSetParams.ConfigSetAction`
ConfigSetParams.ConfigSetAction.`get(String p)`
`static ConfigSetParams.ConfigSetAction`
ConfigSetParams.ConfigSetAction.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ConfigSetParams.ConfigSetAction[]`
ConfigSetParams.ConfigSetAction.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.